/*$('#carouselPage').live("pagebeforecreate",function(){
	resizeContent();

});*/

var resizeContent=function(){
	var contentWidth = $(window).width();
	var parentWidth = contentWidth * $('#carouselView').children().length;
	$('#carouselView').css('width',parentWidth);	
	$('#carouselView').children().each(function(index, value) {
		$(value).css('width',contentWidth);
		$(value).css('left','-' + currentPage * contentWidth + 'px');
	})
}

$(window).resize(function() {
	resizeContent();
});
var currentPage = 0;

$('#menu').live("pageinit",function(){
	var prevPage = 0;
	
	$('#carouselDotView').live('click',function(event){
		var spanElemIndex = $(event.target).index();
		goToPage(spanElemIndex);		
	});
	
	$('div[data-role=page]').live('swipeleft',function(event){
		if(isNextPageAvailable(currentPage)){
		    goToPage(currentPage+1);
		}
	});
	
	$('div[data-role=page]').live('swiperight',function(event){
		 if(isPrevPageAvailable(currentPage)){
		    goToPage(currentPage-1);
		}
	});
	
	var goToPage = function(targetPage){
        if(targetPage > currentPage){
			$('#carouselView').children().each(function(index, value) {
				$(value).animate({left: '-='+(targetPage - currentPage) * $(value).width()}, 200, 'linear');
			})
        }
		else if(targetPage < currentPage) {
            $('#carouselView').children().each(function(index, value) {
				$(value).animate({left: '+='+(currentPage - targetPage) * $(value).width()}, 200, 'linear');
			})
		}		
		prevPage = currentPage;
		currentPage = targetPage;
		$('#carouselDotView').children().eq(prevPage).removeClass('current');
        $('#carouselDotView').children().eq(currentPage).addClass('current');
	};
	
	var isNextPageAvailable = function(index){
		var nextpage = $('#carouselView').children().eq(index).next('div');
		if($(nextpage).length > 0) {
			return true;
		}
		else {
			return false;
		}
	};
	
	var isPrevPageAvailable = function(index) {
		var prevpage = $('#carouselView').children().eq(index).prev('div')
		if($(prevpage).length > 0) {
			return true;
		}
		else {
			return false;
		}
	};	
	
});